<div *ngIf="!isEditMode">
  <h3>Neue Todo:</h3>
  <input appInputAutoWidth="400" [(ngModel)]="todoText" type="text" ngFocus>
  <button (click)="addTodo()" [disabled]="todoText.length === 0">Ok</button>
</div>
<div *ngIf="isEditMode">
  <h3>Todo bearbeiten:</h3>
  <input appInputAutoWidth="400" [(ngModel)]="todoText" type="text">
  <button (click)="updateTodo()">Ok</button>
</div>

<app-listbox [items]="todos" (editItemClick)="editTodo($event)" (removeItemClick)="removeTodo($event)" [editIndex]="editTodoIndex"></app-listbox>

<h3>{{ jokeText }}</h3>

<button (click)="goToAboutPage()">Gehe zu About</button>